curl --request GET \
--url https://api.rallyuxr.com/api/public/v1/properties/{propertyId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rallyuxr.com/api/public/v1/properties/{propertyId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rallyuxr.com/api/public/v1/properties/{propertyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"propertyId": "<string>",
"name": "<string>",
"propertyType": "SINGLE_SELECT",
"propertyOptions": [
{
"propertyOptionId": "<string>",
"name": "<string>",
"color": "GREY",
"order": "1"
}
],
"isUnique": true,
"isPHI": true,
"isPII": true,
"description": "<string>",
"propertyGroupId": "<string>"
}"Unauthorized""Forbidden""{Resource} not found""Too Many Requests""Internal Server Error"Get a person property by ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
The person property
An individual person property
The unique identifier of the property
The name of the property
The type of the property
STRING, NUMBER, DATETIME, BOOLEAN, SINGLE_SELECT, MULTI_SELECT, LOCATION "SINGLE_SELECT"
Options for a SINGLE_SELECT or MULTI_SELECT property. Empty for other property types.
Show child attributes
Show child attributes
Whether the property is unique across all people. Maximum of 10 across a workspace
Whether the property is PHI (Protected health information)
Whether the property is PII (Personally Identifiable Information)
The description of the property
The identifier of the property group this property belongs to. A property group is a collection of properties that apply to either all people in the workspace or a specific set of populations.